=== debian/changelog ===
deepin-service-plugins (1.0.1.1-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 24 Oct 2024 17:34:01 +0800

deepin-service-plugins (1.0.1) unstable; urgency=medium

  * chore: fix license check

 -- fuleyi <fuleyi@uniontech.com>  Thu, 24 Oct 2024 13:20:15 +0800

deepin-service-plugins (1.0.0) unstable; urgency=medium

  * Initial release. 

 -- fuleyi <fuleyi@uniontech.com>  Mon, 14 Oct 2024 13:48:23 +0800
